# Google Data APIs Client Library (1.43.0)

## com.google.gdata.util
Class RedirectRequiredException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.google.gdata.util.ServiceException
                  com.google.gdata.util.RedirectRequiredException

All Implemented Interfaces:
  java.io.Serializable

    public class RedirectRequiredException

extends ServiceException

Exception thrown when a redirect is required to satisfy a request.

See Also:
  Serialized Form

Constructor Summary
`RedirectRequiredException(java.net.HttpURLConnection httpConn)`
`RedirectRequiredException(int sc, java.lang.String location)` Initialize the redirect required exception.

Method Summary
`java.lang.String` `getRedirectLocation()`

Methods inherited from class com.google.gdata.util.ServiceException

`addSibling, getCodeName, getDebugInfo, getDomainName, getExtendedHelp, getHttpErrorCodeOverride, getHttpHeader, getHttpHeaders, getInternalReason, getLocation, getLocationType, getMessage, getOAuthProxyResponse, getResponseBody, getResponseContentType, getSendReport, getSiblings, hasOAuthProxyResponse, initCause, matches, matchesAny, setCode, setDebugInfo, setDomain, setExtendedHelp, setHeaderLocation, setHttpErrorCodeOverride, setInternalReason, setLocation, setResponse, setResponseBody, setResponseContentType, setSendReport, setXpathLocation, toString, toXmlErrorMessage, toXmlErrorMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RedirectRequiredException

    public RedirectRequiredException(int sc,
                                     java.lang.String location)

  Initialize the redirect required exception.

  Parameters:
    `sc` - the status code of the redirect - one of `HttpURLConnection.HTTP_MOVED_PERM` or `HttpURLConnection.HTTP_MOVED_TEMP`.
    `location` - the redirect location

### RedirectRequiredException

    public RedirectRequiredException(java.net.HttpURLConnection httpConn)
                              throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getRedirectLocation

    public java.lang.String getRedirectLocation()